run dox2unix upon it.
authorGengbin Zheng <gzheng@illinois.edu>
Fri, 8 Jun 2007 20:32:44 +0000 (20:32 +0000)
committerGengbin Zheng <gzheng@illinois.edu>
Fri, 8 Jun 2007 20:32:44 +0000 (20:32 +0000)
src/arch/win32/system_ln

index fe538b02d3a68295fbe7e373c2c4dc9cdaf6c01a..199130abe0afd2221823d4c5a757e7a8073e2109 100755 (executable)
@@ -1,43 +1,43 @@
-#!/bin/sh\r
-\r
-if test "$OS" = 'Windows_NT'\r
-then\r
-  junction=`which createlink 2>/dev/null`\r
-fi\r
-test x$junction = x && junction='cp -f'\r
-\r
-srcs=` echo $* | awk '{ for (i=1; i<NF; i++) printf "%s ", $i}'`\r
-dest=` echo $* | awk '{ printf $NF}'`\r
-test -z "$srcs" && exit 0\r
-test -z "$dest" && exit 0\r
-\r
-#if multiple sources, target must be a directory\r
-num=`echo $srcs | awk '{ printf NF }'`\r
-if test $num -gt 1\r
-then\r
-  if test ! -d $dest \r
-  then\r
-    echo "The target is not a directory or does not exist!"\r
-    exit 1;\r
-  fi\r
-fi\r
-\r
-for src in $srcs\r
-do\r
-  while [ ! -r $src ] \r
-  do\r
-#Strip one ../ from the source path\r
-    src=`echo $src | awk -F/ '{printf "%s",$2;for (i=3;i<=NF;i++) printf "/%s",$i}'`\r
-  done\r
-  if test -n "$src" \r
-  then\r
-    destFile=$dest\r
-    test -d $dest && destFile=$dest/`basename $src`\r
-#    echo $junction $src $destFile\r
-    $junction $src $destFile\r
-    status=$?\r
-    test $status -ne 0 && echo "ERROR" &&exit $status\r
-  fi\r
-done\r
-\r
-exit 0\r
+#!/bin/sh
+
+if test "$OS" = 'Windows_NT'
+then
+  junction=`which createlink 2>/dev/null`
+fi
+test x$junction = x && junction='cp -f'
+
+srcs=` echo $* | awk '{ for (i=1; i<NF; i++) printf "%s ", $i}'`
+dest=` echo $* | awk '{ printf $NF}'`
+test -z "$srcs" && exit 0
+test -z "$dest" && exit 0
+
+#if multiple sources, target must be a directory
+num=`echo $srcs | awk '{ printf NF }'`
+if test $num -gt 1
+then
+  if test ! -d $dest 
+  then
+    echo "The target is not a directory or does not exist!"
+    exit 1;
+  fi
+fi
+
+for src in $srcs
+do
+  while [ ! -r $src ] 
+  do
+#Strip one ../ from the source path
+    src=`echo $src | awk -F/ '{printf "%s",$2;for (i=3;i<=NF;i++) printf "/%s",$i}'`
+  done
+  if test -n "$src" 
+  then
+    destFile=$dest
+    test -d $dest && destFile=$dest/`basename $src`
+#    echo $junction $src $destFile
+    $junction $src $destFile
+    status=$?
+    test $status -ne 0 && echo "ERROR" &&exit $status
+  fi
+done
+
+exit 0